/*
SQLyog Ultimate v12.4.1 (64 bit)
MySQL - 10.3.15-MariaDB : Database - soho_20190731
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `menu` */

DROP TABLE IF EXISTS `menu`;

CREATE TABLE `menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `submenu_id` smallint(6) NOT NULL,
  `title` varchar(50) NOT NULL,
  `folder` varchar(50) NOT NULL,
  `url` varchar(50) NOT NULL,
  `comment` varchar(50) NOT NULL,
  `sort` mediumint(9) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=185 DEFAULT CHARSET=latin1;

/*Data for the table `menu` */

insert  into `menu`(`id`,`submenu_id`,`title`,`folder`,`url`,`comment`,`sort`) values 
(1,3,'Change Password','auth','cp','',1),
(2,1,'Group User','auth','group','',2),
(3,1,'Users','auth','user','',3),
(4,9,'Product','master','item','',1),
(5,9,'Build Of Material','inv','mnf','',2),
(6,8,'Assembling','inv','ass','',8),
(7,9,'Warehouse','master','whs','',0),
(8,8,'Inventory IN','inv','fpb','',2),
(9,8,'Whs Stock Movement','inv','mts','',9),
(10,9,'Bank','master','bank','',3),
(13,8,'NC Product','inv','ncm','',6),
(14,9,'City','master','kota','',6),
(15,9,'Province','master','prop','',4),
(16,9,'Stockiest','master','stc','',5),
(17,7,'Deposit Confirm','fin','dps','',0),
(18,7,'Deposit Approved','fin','dpsapp','',1),
(19,6,'Request Order','order','ro','',2),
(20,6,'Rqt Order Approved','order','roadmapp','',1),
(21,5,'Balance Ewallet Stc','fin','be','',1),
(22,8,'Stock Report','inv','stock','',0),
(23,5,'Stock Stockiest','inv','ttp','',2),
(24,6,'Activation Code','order','ac','',0),
(25,4,'Network Genealogy','member','tree','',1),
(26,7,'Withdrawal','fin','wdr','',2),
(27,7,'Withdrawal Approved','fin','wdrapp','',3),
(28,4,'Balance Ewallet','fin','bemem','',2),
(29,7,'Transfer Ewallet','fin','transfer','',4),
(34,6,'M-Stockiest','order','mstc','',7),
(31,3,'Profile','member','profile','',0),
(32,9,'Member','member','memprofile','',7),
(33,1,'Reset Pass Member','auth','rp','',1),
(35,6,'RO M-Stc Approved','order','romstc','',3),
(36,6,'Sales Order','order','so','',4),
(37,5,'Free Promotion Product','order','freeso','',3),
(38,4,'Summary Sales Order','order','hso','',3),
(39,4,'Bonus Statement','member','bonus','',4),
(40,10,'Commision Analysis','member','analysis','',1),
(41,10,'Eternal Cyclone Bonus','member','ecb','',3),
(42,6,'Request Sales Order','order','rso','',6),
(43,4,'Member Position','member','level','',6),
(44,4,'Total Account perLevel','member','tgpv','',5),
(45,5,'Summary Sales Order','order','hsostc','',4),
(46,11,'Summary Deposit','fin','hdeposit','',13),
(47,11,'Summary Withdrawal','fin','hwithdrawal','',14),
(48,10,'Daily Balance Sheet','fin','ndf','',4),
(49,8,'Stockiest Consignment','order','pjm','',4),
(50,7,'SC Payment','order','pjmttp','',5),
(51,5,'Consignment History','order','hpjm','',5),
(52,6,'Request SO Approved','order','rsoapp','',5),
(53,9,'News & Event','master','newsmaster','',8),
(54,9,'Testimonial','master','testimaster','',9),
(55,9,'Download','master','downloadmaster','',10),
(56,9,'Marketing Plan','master','mp','',11),
(57,4,'Register Confirmation','member','confreg','',8),
(58,10,'Summary Bonus','member','hbonus','',2),
(59,8,'Stock Stockiest Return','inv','returstc','',3),
(60,8,'SC Return','inv','returpjm','',5),
(61,8,'Purchase Order','inv','po','',1),
(62,9,'Supplier','master','supplier','',12),
(63,8,'Adjustment Stock','inv','adj','',7),
(64,11,'Omzet Penjualan','order','omzet','',11),
(65,11,'Retur Penjualan','order','hretur','',12),
(66,1,'Update PV','order','updatepv','',4),
(67,12,'*Promo UIG2 2010*','member','promo2','',2),
(68,11,'Omset by SKU','order','omset','',15),
(69,10,'Top 10 Member','member','topten','',5),
(70,11,'SC History','inv','schistory','',16),
(71,1,'Rename Member','auth','rplacenm','',5),
(72,7,'Auto Withdrawal','fin','autowdw','',3),
(73,10,'Omset Per Region','order','omsetrgn','',6),
(74,10,'Omset Region / product','order','omsetrgnprd','',7),
(75,4,'Member Analysis','member','report','',9),
(76,12,'*Promo UIG 2010*','member','promo','',3),
(77,12,'Auto Wdw Exbon','fin','autowdw201101exbon','',1),
(78,1,'PDPM Register','auth','regpdpm','',6),
(79,12,'*Promo UIG3 2011*','member','UIG3','',1),
(80,9,'Gallery','master','gallery','',15),
(81,10,'Member Actived','member','memactive','',10),
(82,7,'Deposit Exclusive','fin','dps_exc','',7),
(83,15,'Staff Consignment','order','pjm_adm','',1),
(84,15,'Stf Consignment Return','order','pjm_adm_rtr','',2),
(85,15,'Stf Consignment History','order','pjm_adm_his','',3),
(86,10,'Daily Report','fin','dailyreport','',9),
(87,1,'Balance ECB','member','dpsecb','',7),
(88,5,'Stc Report','stc','stc_report','',6),
(89,4,'TGPV','member','tgpvo','',10),
(90,10,'Omset By Rgn','report','omsbyrgn','',11),
(91,12,'*Leadership Award*','promo','prm1201','',5),
(92,16,'Sales Incentive Report (SO)','report','sls_inc','',1),
(93,16,'Sales Target','master','input_target','',2),
(94,1,'Allocation Member','auth','memalloc','',8),
(95,16,'Stockiest Achievement','report','stc_achievement','',3),
(96,16,'Allocation','report','allocation','',2),
(97,9,'Banner','master','banner','',1),
(98,9,'Whats New','master','whatnew','',6),
(99,4,'Activity Report','member','activity','',11),
(100,16,'Base Model Report','report','base_model','',5),
(101,1,'Register Emp ID','auth','regnik','',9),
(102,1,'Relocation Member','auth','relocation','',10),
(103,1,'Grant Ewallet','auth','rellocewallet','',11),
(104,7,'Account Validation','fin','acc_val','',8),
(105,4,'Print Out Address','member','printout','',12),
(106,17,'Invoice','order','tax_so','',1),
(107,1,'Cancel SO','auth','cancelso','',12),
(108,6,'Sales Order Staff','order','sostaff','',10),
(109,9,'Staff','master','staff','',10),
(110,11,'EXPORT REPORT','report','monthly_report','',17),
(111,6,'New Sales Order Admin','smartindo','soadmin','',11),
(112,6,'Sales Order.','smartindo','so','',11),
(113,6,'New RO Approved','smartindo','roadmin','',12),
(114,4,'Network Generation List','member','treelist','',10),
(115,4,'Bonus Peringkat','smartindo','bonusperingkat','',1),
(116,6,'Request Order STC','smartindo','ro','',1),
(117,16,'Stc Achievement Non Kit','report','stc_acv','',4),
(118,1,'Car Reward','smartindo','car_bns','',14),
(119,4,'Network-Genealogy','member','netgen','',1),
(120,16,'Sales By City','report','salesbycity','',2),
(121,15,'Stf Point Order','smartindo','point_ord','',4),
(122,15,'Stf Point History','smartindo','point_ord_his','',5),
(123,9,'UHN Employee','master','emp','',16),
(124,11,'Omset by SKU (Gross)','order','omset_gross','',18),
(125,16,'Sales Incentive Report (RO)','report','sls_inc_ro','',1),
(126,11,'Omset By Product (Gross)','order','omset_product_gross','',19),
(127,6,'*New Sales Order Admin*','smartindo','soadmin_v','',11),
(128,6,'*New RO Approved*','smartindo','roadmin_v','',12),
(129,6,'*Sales Order*','smartindo','so_v','',11),
(130,6,'*Request Order STC*','smartindo','ro_v','',1),
(131,16,'New Sales Inc Report(RO)','report','sls_ro_cluster','',1),
(132,16,'New Sales Inc Report(SO)','report','sls_so_cluster','',1),
(133,4,'Print Out Active Member','member','printoutmemactive','',13),
(134,16,'RSM/ASM Utilities - Members','report','sls_util_member','',6),
(135,16,'RSM/ASM Utilities - Stockiest','report','sls_util_stc','',7),
(136,16,'Leader Utilities per RSM/ASM','report','sls_util_leader_per','',8),
(137,16,'Stockiest Utilities per RSM/ASM','report','sls_util_stc_per','',9),
(138,16,'Personal Recruit By Member per RSM/ASM','report','sls_util_prec','',10),
(139,16,'National RO Report','report','national_report_monthly','',1),
(140,5,'Stokiest Tracking Report','report','stc_tracking','',10),
(141,4,'Member Tracking Report','report','mem_tracking','',10),
(142,4,'Cash Reward','report','cash_reward','',10),
(143,18,'Unihealth','materi','video/video_category/1','',1),
(144,18,'Pengaturan Video','materi','pengaturan_video','',1),
(145,18,'Pengaturan Category','materi','category','',1),
(146,19,'E-Catalogue','materi','catalogue/printing_category/1','',1),
(147,19,'Pengaturan Catalogue','materi','pengaturan_catalogue','',1),
(148,18,'Produk & Testimoni','materi','video/produk_testimoni','',2),
(149,18,'Menghasilkan uang & Testimoni','materi','video/menghasilkan_uang_testimoni','',2),
(150,18,'Lifestyle & Conference','materi','video/video_category/4','',2),
(151,19,'Pengaturan Material','materi','catalogue_category','',2),
(152,20,'Banner Besar','materi','banner/banner_besar','',2),
(153,20,'Banner Kecil','materi','banner/banner_kecil','',2),
(154,20,'Roll Banner','materi','banner/roll_banner','',2),
(155,20,'Pengaturan Banner','materi','pengaturan_banner','',2),
(156,20,'Pengaturan Category','materi','banner_category','',2),
(158,19,'E-Newsletter','materi','catalogue/printing_category/2','',2),
(159,19,'E-Member Guide Book','materi','catalogue/printing_category/4','',2),
(157,8,'Receive Whs Movement Stock','inv','mtsapp','',9),
(160,8,'Handling Fee Report','inv','handlingfee','',10),
(161,11,'Omset By SKU (Per WH)','order','omset_wh','',20),
(162,11,'Omset By SKU (Per Cluster)','order','omset_cluster','',20),
(163,11,'Omset By SKU (Per City)','order','omset_city','',20),
(164,11,'Omset By Product (Gross)Per WH','order','omset_product_gross_wh','',20),
(165,8,'RO WH Transfer','inv','rowhtrf','',9),
(170,6,'**New RO Approved**','smartindo','roadmin_vwh','',15),
(171,6,'**Request Order STC**','smartindo','ro_vwh','',1),
(172,6,'**New Sales Order Admin**','smartindo','soadmin_v2','',15),
(173,1,'**Cancel SO New**','auth','cancelso2','',16),
(174,8,'SC New','inv','sc','No Comment',2),
(175,8,'SC Payment New','inv','sc_payment','No Comment',3),
(176,8,'SC Retur New','inv','sc_retur','No Comment',4),
(177,1,'Cancel RO','auth','cancelro','',17),
(178,21,'Product Sales Achivement Report','marketing','acv_report','',21),
(179,11,'Omset By Product','order','omset_product_nett','',20),
(180,22,'Promo Productivity','promo','promo_prod','',2),
(181,22,'Product Inactive','inv','item_inactive','',3),
(182,22,'Item Rule Order','promo','promo_rule','',4),
(183,1,'Reset Password Member','auth','reset','',1),
(184,22,'Promo Discount','promo','discount','',1);

/*Table structure for table `modules` */

DROP TABLE IF EXISTS `modules`;

CREATE TABLE `modules` (
  `menu_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  `view` enum('0','1') NOT NULL DEFAULT '0',
  `save` enum('0','1') NOT NULL DEFAULT '0',
  `edit` enum('0','1') NOT NULL DEFAULT '0',
  `delete` enum('0','1') NOT NULL DEFAULT '0',
  `print` enum('0','1') NOT NULL DEFAULT '0',
  `flag` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`menu_id`,`group_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `modules` */

insert  into `modules`(`menu_id`,`group_id`,`view`,`save`,`edit`,`delete`,`print`,`flag`) values 
(1,1,'1','1','1','1','1','0'),
(2,1,'1','1','1','1','1','0'),
(7,1,'1','1','1','1','1','0'),
(5,1,'1','1','1','1','1','0'),
(4,1,'1','1','1','1','1','0'),
(6,1,'1','1','1','1','1','0'),
(3,1,'1','1','1','1','1','0'),
(4,8,'1','1','1','1','1','0'),
(10,1,'1','1','1','1','1','0'),
(1,8,'1','1','1','1','1','0'),
(6,8,'1','1','1','1','1','0'),
(8,8,'1','1','1','1','1','0'),
(13,8,'1','1','1','1','1','0'),
(13,1,'1','1','1','1','1','0'),
(15,1,'1','1','1','1','1','0'),
(14,1,'1','1','1','1','1','0'),
(16,1,'1','1','1','1','1','0'),
(1,103,'1','1','1','1','1','0'),
(16,25,'1','1','1','0','1','0'),
(172,25,'1','0','0','0','1','0'),
(1,101,'1','1','1','1','1','0'),
(17,103,'1','1','1','1','1','0'),
(1,3,'1','1','1','1','1','0'),
(18,3,'1','1','1','1','1','0'),
(18,1,'1','1','1','1','1','0'),
(17,101,'1','1','1','1','1','0'),
(5,8,'1','1','1','1','1','0'),
(16,8,'1','0','0','0','1','0'),
(20,8,'1','1','1','1','1','0'),
(21,3,'1','1','1','1','1','0'),
(170,25,'1','0','0','0','1','0'),
(21,103,'1','1','1','1','1','0'),
(38,1,'1','1','1','1','1','0'),
(21,1,'1','1','1','1','1','0'),
(4,3,'1','0','0','0','1','0'),
(13,3,'1','0','0','0','1','0'),
(16,3,'1','1','1','1','1','0'),
(22,1,'1','1','1','1','1','0'),
(22,8,'1','1','1','1','1','0'),
(141,102,'1','1','1','1','1','0'),
(23,103,'1','1','1','1','1','0'),
(23,1,'1','1','1','1','1','0'),
(23,8,'1','1','1','1','1','0'),
(23,3,'1','1','1','1','1','0'),
(24,1,'1','1','1','1','1','0'),
(43,102,'1','1','1','1','1','0'),
(24,103,'1','1','1','1','1','0'),
(25,1,'1','1','1','1','1','0'),
(1,9,'1','1','1','1','1','0'),
(22,9,'1','1','1','1','1','0'),
(14,9,'1','0','0','0','1','0'),
(9,1,'1','1','1','1','1','0'),
(20,9,'1','1','1','1','1','0'),
(1,4,'1','1','1','1','1','0'),
(18,4,'1','1','1','1','1','0'),
(21,4,'1','1','1','1','1','0'),
(23,4,'1','1','1','1','1','0'),
(16,4,'1','0','0','0','1','0'),
(27,3,'1','1','1','1','1','0'),
(27,4,'1','1','1','1','1','0'),
(27,1,'1','1','1','1','1','0'),
(26,102,'1','1','1','1','1','0'),
(26,103,'1','1','1','1','1','0'),
(28,3,'1','1','1','1','1','0'),
(28,1,'1','1','1','1','1','0'),
(29,3,'1','0','0','0','1','0'),
(29,102,'1','0','0','0','1','0'),
(31,101,'1','1','1','1','1','0'),
(29,103,'1','0','0','0','1','0'),
(32,1,'1','1','1','1','1','0'),
(33,1,'1','1','1','1','1','0'),
(24,4,'1','1','1','1','1','0'),
(103,1,'1','1','1','1','1','0'),
(36,4,'1','1','1','1','1','0'),
(172,1,'1','1','1','1','1','0'),
(37,8,'1','1','1','1','1','0'),
(37,9,'1','1','1','1','1','0'),
(38,101,'1','1','1','1','1','0'),
(38,4,'1','1','1','1','1','0'),
(38,3,'1','1','1','1','1','0'),
(1,102,'1','1','1','1','1','0'),
(39,1,'1','1','1','1','1','0'),
(39,3,'1','1','1','1','1','0'),
(40,1,'1','1','1','1','1','0'),
(72,1,'1','1','1','1','1','0'),
(43,1,'1','1','1','1','1','0'),
(45,3,'1','1','1','1','1','0'),
(45,103,'1','1','1','1','1','0'),
(17,102,'1','1','1','1','1','0'),
(45,1,'1','1','1','1','1','0'),
(46,3,'1','1','1','1','1','0'),
(46,1,'1','1','1','1','1','0'),
(47,3,'1','1','1','1','1','0'),
(47,1,'1','1','1','1','1','0'),
(51,3,'1','1','1','1','1','0'),
(50,3,'1','1','1','1','1','0'),
(49,3,'1','1','1','1','1','0'),
(49,1,'1','1','1','1','1','0'),
(51,1,'1','1','1','1','1','0'),
(50,1,'1','1','1','1','1','0'),
(99,7,'1','1','1','1','1','0'),
(99,2,'1','1','1','1','1','0'),
(46,11,'1','0','0','0','1','0'),
(52,3,'1','1','1','1','1','0'),
(16,11,'1','0','0','0','1','0'),
(32,11,'1','1','1','0','1','0'),
(115,7,'1','1','1','1','1','0'),
(53,10,'1','1','1','1','1','0'),
(55,10,'1','1','1','1','1','0'),
(54,10,'1','1','1','1','1','0'),
(54,1,'1','1','1','1','1','0'),
(55,1,'1','1','1','1','1','0'),
(53,1,'1','1','1','1','1','0'),
(24,121,'1','1','1','1','1','0'),
(21,121,'1','1','1','1','1','0'),
(1,10,'1','1','1','1','1','0'),
(56,10,'1','1','1','1','1','0'),
(56,1,'1','1','1','1','1','0'),
(57,3,'1','1','1','1','1','0'),
(57,1,'1','1','1','1','1','0'),
(58,3,'1','1','1','1','1','0'),
(58,1,'1','1','1','1','1','0'),
(59,3,'1','1','1','1','1','0'),
(59,1,'1','1','1','1','1','0'),
(60,3,'1','1','1','1','1','0'),
(60,1,'1','1','1','1','1','0'),
(61,3,'1','1','1','1','1','0'),
(61,1,'1','1','1','1','1','0'),
(62,3,'1','1','1','1','1','0'),
(62,1,'1','1','1','1','1','0'),
(63,1,'1','1','1','1','1','0'),
(1,2,'1','1','1','1','1','0'),
(28,2,'1','1','1','1','1','0'),
(38,2,'1','1','1','1','1','0'),
(39,2,'1','1','1','1','1','0'),
(43,2,'1','1','1','1','1','0'),
(18,2,'1','1','1','1','1','0'),
(27,2,'1','1','1','1','1','0'),
(50,2,'1','1','1','1','1','0'),
(57,2,'1','1','1','1','1','0'),
(61,2,'1','1','1','1','1','0'),
(6,2,'1','1','1','1','1','0'),
(9,2,'1','1','1','1','1','0'),
(13,2,'1','1','1','1','1','0'),
(59,2,'1','1','1','1','1','0'),
(63,2,'1','1','1','1','1','0'),
(24,2,'1','1','1','1','1','0'),
(114,1,'1','1','1','1','1','0'),
(21,2,'1','1','1','1','1','0'),
(23,2,'1','1','1','1','1','0'),
(45,2,'1','1','1','1','1','0'),
(51,2,'1','1','1','1','1','0'),
(10,2,'1','1','1','1','1','0'),
(5,2,'1','1','1','1','1','0'),
(14,2,'1','1','1','1','1','0'),
(56,2,'1','1','1','1','1','0'),
(32,2,'1','1','1','1','1','0'),
(53,2,'1','1','1','1','1','0'),
(4,2,'1','0','1','1','1','0'),
(15,2,'1','1','1','1','1','0'),
(16,2,'1','1','1','1','1','0'),
(55,2,'1','1','1','1','1','0'),
(62,2,'1','1','1','1','1','0'),
(54,2,'1','1','1','1','1','0'),
(47,2,'1','1','1','1','1','0'),
(46,2,'1','1','1','1','1','0'),
(58,2,'1','1','1','1','1','0'),
(22,2,'1','1','1','1','1','0'),
(40,2,'1','1','1','1','1','0'),
(7,2,'1','1','1','1','1','0'),
(1,5,'1','0','0','0','1','0'),
(25,5,'1','0','0','0','1','0'),
(28,5,'1','0','0','0','1','0'),
(38,5,'1','0','0','0','1','0'),
(39,5,'1','0','0','0','1','0'),
(43,5,'1','0','0','0','1','0'),
(18,5,'1','0','0','0','1','0'),
(27,5,'1','0','0','0','1','0'),
(29,5,'1','0','0','0','1','0'),
(49,5,'1','0','0','0','1','0'),
(50,5,'1','0','0','0','1','0'),
(173,27,'1','1','1','1','1','0'),
(57,5,'1','0','0','0','1','0'),
(170,6,'1','1','1','1','1','0'),
(173,2,'1','1','1','1','1','0'),
(171,103,'1','1','1','1','1','0'),
(61,5,'1','0','0','0','1','0'),
(6,5,'1','0','0','0','1','0'),
(8,5,'1','0','0','0','1','0'),
(9,5,'1','0','0','0','1','0'),
(13,5,'1','0','0','0','1','0'),
(59,5,'1','0','0','0','1','0'),
(60,5,'1','0','0','0','1','0'),
(63,5,'1','0','0','0','1','0'),
(21,5,'1','0','0','0','1','0'),
(23,5,'1','0','0','0','1','0'),
(37,5,'1','0','0','0','1','0'),
(45,5,'1','0','0','0','1','0'),
(51,5,'1','0','0','0','1','0'),
(7,5,'1','0','0','0','1','0'),
(4,5,'1','0','0','0','1','0'),
(5,5,'1','0','0','0','1','0'),
(16,5,'1','0','0','0','1','0'),
(32,5,'1','0','0','0','1','0'),
(53,5,'1','0','0','0','1','0'),
(54,5,'1','0','0','0','1','0'),
(55,5,'1','0','0','0','1','0'),
(56,5,'1','0','0','0','1','0'),
(62,5,'1','0','0','0','1','0'),
(22,5,'1','0','0','0','1','0'),
(40,5,'1','0','0','0','1','0'),
(46,5,'1','0','0','0','1','0'),
(68,12,'1','1','1','1','1','0'),
(58,5,'1','0','0','0','1','0'),
(64,1,'1','1','1','1','1','0'),
(65,1,'1','1','1','1','1','0'),
(66,1,'1','1','1','1','1','0'),
(64,5,'1','1','1','1','1','0'),
(65,2,'1','1','1','1','1','0'),
(65,5,'1','1','1','1','1','0'),
(47,5,'1','1','1','1','1','0'),
(115,2,'1','1','1','1','1','0'),
(68,1,'1','1','1','1','1','0'),
(69,1,'1','1','1','1','1','0'),
(69,2,'1','1','1','1','1','0'),
(64,2,'1','1','1','1','1','0'),
(1,12,'1','1','1','0','1','0'),
(67,12,'1','0','0','0','1','0'),
(25,12,'1','0','0','0','1','0'),
(38,12,'1','0','0','0','1','0'),
(39,12,'1','0','0','0','1','0'),
(28,12,'1','0','0','0','1','0'),
(70,1,'1','1','1','1','1','0'),
(70,5,'1','1','1','1','1','0'),
(68,2,'1','1','1','1','1','0'),
(70,2,'1','1','1','1','1','0'),
(1,15,'1','1','1','1','1','0'),
(64,12,'1','1','1','1','1','0'),
(71,1,'1','1','1','1','1','0'),
(72,2,'1','1','1','1','1','0'),
(75,1,'1','1','1','1','1','0'),
(75,2,'1','1','1','1','1','0'),
(75,12,'1','1','1','1','1','0'),
(33,2,'1','1','1','1','1','0'),
(18,14,'1','1','1','1','1','0'),
(50,14,'1','0','1','1','1','0'),
(32,14,'1','1','1','1','1','0'),
(16,14,'1','1','1','1','1','0'),
(132,6,'1','1','1','1','1','0'),
(28,14,'1','1','1','1','1','0'),
(75,14,'1','1','1','1','1','0'),
(43,14,'1','1','1','1','1','0'),
(38,14,'1','1','1','1','1','0'),
(57,14,'1','1','1','1','1','0'),
(68,10,'1','1','1','1','1','0'),
(1,14,'1','1','1','1','1','0'),
(21,14,'1','1','1','1','1','0'),
(51,14,'1','1','1','1','1','0'),
(45,14,'1','1','1','1','1','0'),
(24,14,'1','1','1','1','1','0'),
(85,14,'1','1','1','1','1','0'),
(84,14,'1','1','1','1','1','0'),
(83,14,'1','1','1','1','1','0'),
(23,14,'1','1','1','1','1','0'),
(46,14,'1','1','1','1','1','0'),
(115,1,'1','1','1','1','1','0'),
(114,2,'1','1','1','1','1','0'),
(78,1,'1','1','1','1','1','0'),
(71,2,'1','1','1','1','1','0'),
(83,1,'1','1','1','1','1','0'),
(84,1,'1','1','1','1','1','0'),
(85,1,'1','1','1','1','1','0'),
(83,2,'1','1','1','1','1','0'),
(84,2,'1','1','1','1','1','0'),
(85,2,'1','1','1','1','1','0'),
(85,11,'1','0','1','1','1','0'),
(83,11,'1','1','1','1','1','0'),
(111,1,'1','1','1','1','1','0'),
(172,2,'1','1','1','1','1','0'),
(75,5,'1','1','1','1','1','0'),
(22,14,'1','1','1','1','1','0'),
(69,5,'1','1','1','1','1','0'),
(87,1,'1','1','1','1','1','0'),
(87,2,'1','1','1','1','1','0'),
(89,1,'1','1','1','1','1','0'),
(89,5,'1','1','1','1','1','0'),
(88,5,'1','1','1','1','1','0'),
(175,2,'1','1','1','1','1','0'),
(70,14,'1','1','1','1','1','0'),
(89,2,'1','1','1','1','1','0'),
(28,15,'1','1','1','1','1','0'),
(39,15,'1','1','1','1','1','0'),
(75,15,'1','1','1','1','1','0'),
(43,15,'1','1','1','1','1','0'),
(25,15,'1','1','1','1','1','0'),
(57,15,'1','1','1','1','1','0'),
(38,15,'1','1','1','1','1','0'),
(89,15,'1','1','1','1','1','0'),
(44,15,'1','1','1','1','1','0'),
(21,15,'1','1','1','1','1','0'),
(51,15,'1','1','1','1','1','0'),
(23,15,'1','1','1','1','1','0'),
(45,15,'1','1','1','1','1','0'),
(24,15,'1','0','0','1','1','0'),
(52,15,'1','0','0','1','1','0'),
(20,15,'1','0','0','1','1','0'),
(36,15,'1','0','0','1','1','0'),
(18,15,'1','0','0','1','1','0'),
(50,15,'1','0','0','1','1','0'),
(83,15,'1','0','0','1','1','0'),
(85,15,'1','1','1','1','1','0'),
(32,15,'1','1','0','1','1','0'),
(16,15,'1','0','0','1','1','0'),
(35,15,'1','0','0','1','1','0'),
(48,15,'1','0','0','1','1','0'),
(41,15,'1','0','0','1','1','0'),
(46,15,'1','0','0','1','1','0'),
(4,10,'1','0','0','0','1','0'),
(113,1,'1','1','1','1','1','0'),
(92,1,'1','1','1','1','1','0'),
(93,1,'1','1','1','1','1','0'),
(95,1,'1','1','1','1','1','0'),
(92,5,'1','0','0','0','1','0'),
(95,5,'1','0','0','0','1','0'),
(92,2,'1','1','1','1','1','0'),
(95,2,'1','1','1','1','1','0'),
(1,6,'1','0','0','0','0','0'),
(28,6,'1','0','0','0','0','0'),
(38,6,'1','0','0','0','0','0'),
(121,11,'1','0','0','0','1','0'),
(43,6,'1','0','0','0','0','0'),
(18,6,'1','1','1','1','0','0'),
(27,6,'1','0','0','0','0','0'),
(29,6,'1','0','0','0','0','0'),
(49,6,'1','0','0','0','0','0'),
(50,6,'1','0','0','0','0','0'),
(43,10,'1','1','1','1','1','0'),
(57,6,'1','0','0','0','0','0'),
(124,1,'1','1','1','1','1','0'),
(61,6,'1','0','0','0','0','0'),
(13,6,'1','0','0','0','0','0'),
(59,6,'1','0','0','0','0','0'),
(60,6,'1','0','0','0','0','0'),
(21,6,'1','0','0','0','0','0'),
(23,6,'1','0','0','0','0','0'),
(37,6,'1','0','0','0','0','0'),
(45,6,'1','0','0','0','0','0'),
(51,6,'1','0','0','0','0','0'),
(4,6,'1','0','0','0','0','0'),
(5,6,'1','0','0','0','0','0'),
(16,6,'1','0','0','0','0','0'),
(32,6,'1','0','0','0','0','0'),
(53,6,'1','0','0','0','0','0'),
(54,6,'1','0','0','0','0','0'),
(55,6,'1','0','0','0','0','0'),
(56,6,'1','0','0','0','0','0'),
(22,6,'1','0','0','0','0','0'),
(131,1,'1','1','1','1','1','0'),
(46,6,'1','0','0','0','0','0'),
(64,6,'1','1','1','1','0','0'),
(65,6,'1','1','1','1','0','0'),
(47,6,'1','1','1','1','0','0'),
(68,6,'1','1','1','1','0','0'),
(70,6,'1','1','1','1','0','0'),
(75,6,'1','1','1','1','0','0'),
(32,10,'1','1','1','1','1','0'),
(89,6,'1','1','1','1','0','0'),
(88,6,'1','1','1','1','0','0'),
(132,7,'1','1','1','1','1','0'),
(95,6,'1','0','0','0','0','0'),
(1,7,'1','0','0','0','0','0'),
(28,7,'1','0','0','0','0','0'),
(38,7,'1','0','0','0','0','0'),
(26,14,'1','0','0','0','1','0'),
(43,7,'1','0','0','0','0','0'),
(18,7,'1','0','0','0','0','0'),
(27,7,'1','0','0','0','0','0'),
(29,7,'1','0','0','0','0','0'),
(49,7,'1','0','0','0','0','0'),
(50,7,'1','0','0','0','0','0'),
(165,14,'1','1','1','1','1','0'),
(57,7,'1','0','0','0','0','0'),
(147,7,'1','1','1','1','1','0'),
(61,7,'1','0','0','0','0','0'),
(6,7,'1','0','0','0','0','0'),
(8,7,'1','0','0','0','0','0'),
(9,7,'1','0','0','0','0','0'),
(13,7,'1','0','0','0','0','0'),
(59,7,'1','0','0','0','0','0'),
(60,7,'1','0','0','0','0','0'),
(63,7,'1','0','0','0','0','0'),
(21,7,'1','0','0','0','0','0'),
(23,7,'1','0','0','0','0','0'),
(37,7,'1','0','0','0','0','0'),
(45,7,'1','0','0','0','0','0'),
(51,7,'1','0','0','0','0','0'),
(7,7,'1','0','0','0','0','0'),
(4,7,'1','0','0','0','1','0'),
(5,7,'1','1','1','1','0','0'),
(16,7,'1','0','1','0','0','0'),
(32,7,'1','0','1','0','0','0'),
(53,7,'1','0','0','0','0','0'),
(54,7,'1','0','0','0','0','0'),
(55,7,'1','0','0','0','0','0'),
(56,7,'1','0','0','0','0','0'),
(62,7,'1','0','0','0','0','0'),
(22,7,'1','0','0','0','0','0'),
(40,7,'1','0','0','0','0','0'),
(46,7,'1','0','0','0','0','0'),
(58,7,'1','0','0','0','0','0'),
(64,7,'1','1','1','1','0','0'),
(65,7,'1','1','1','1','0','0'),
(47,7,'1','1','1','1','0','0'),
(68,7,'1','1','1','1','0','0'),
(70,7,'1','1','1','1','0','0'),
(75,7,'1','1','1','1','0','0'),
(69,7,'1','1','1','1','0','0'),
(89,7,'1','1','1','1','0','0'),
(88,7,'1','1','1','1','0','0'),
(95,7,'1','1','1','0','0','0'),
(102,2,'1','1','1','1','1','0'),
(93,7,'1','1','1','1','1','0'),
(96,1,'1','1','1','1','1','0'),
(96,7,'1','1','1','1','1','0'),
(97,1,'1','1','1','1','1','0'),
(80,1,'1','1','1','1','1','0'),
(98,1,'1','1','1','1','1','0'),
(22,10,'1','1','1','1','1','0'),
(174,14,'1','1','1','1','1','0'),
(84,11,'1','1','1','1','1','0'),
(70,11,'1','1','1','1','1','0'),
(99,1,'1','1','1','1','1','0'),
(5,10,'1','1','1','1','1','0'),
(13,14,'1','1','1','1','1','0'),
(99,5,'1','1','1','1','1','0'),
(97,10,'1','1','1','1','1','0'),
(98,10,'1','1','1','1','1','0'),
(80,10,'1','1','1','1','1','0'),
(100,1,'1','1','1','1','1','0'),
(100,7,'1','1','1','1','1','0'),
(101,1,'1','1','1','1','1','0'),
(101,2,'1','1','1','1','1','0'),
(6,14,'1','1','1','1','1','0'),
(100,2,'1','1','1','1','1','0'),
(102,1,'1','1','1','1','1','0'),
(103,2,'1','1','1','1','1','0'),
(103,14,'1','1','1','1','1','0'),
(104,1,'1','1','1','1','1','0'),
(1,16,'1','0','0','0','0','0'),
(25,16,'1','0','0','0','0','0'),
(28,16,'1','0','0','0','0','0'),
(38,16,'1','0','0','0','0','0'),
(39,16,'1','0','0','0','0','0'),
(43,16,'1','0','0','0','0','0'),
(18,16,'1','0','0','0','0','0'),
(27,16,'1','0','0','0','0','0'),
(29,16,'1','0','0','0','0','0'),
(49,16,'1','0','0','0','0','0'),
(50,16,'1','0','0','0','0','0'),
(52,16,'1','0','0','0','0','0'),
(57,16,'1','0','0','0','0','0'),
(20,16,'1','0','0','0','0','0'),
(35,16,'1','0','0','0','0','0'),
(36,16,'1','0','0','0','0','0'),
(61,16,'1','0','0','0','0','0'),
(6,16,'1','0','0','0','0','0'),
(8,16,'1','0','0','0','0','0'),
(9,16,'1','0','0','0','0','0'),
(13,16,'1','0','0','0','0','0'),
(59,16,'1','0','0','0','0','0'),
(60,16,'1','0','0','0','0','0'),
(63,16,'1','0','0','0','0','0'),
(21,16,'1','0','0','0','0','0'),
(23,16,'1','0','0','0','0','0'),
(37,16,'1','0','0','0','0','0'),
(45,16,'1','0','0','0','0','0'),
(51,16,'1','0','0','0','0','0'),
(7,16,'1','0','0','0','0','0'),
(4,16,'1','0','0','0','0','0'),
(5,16,'1','0','0','0','0','0'),
(16,16,'1','0','0','0','0','0'),
(32,16,'1','0','0','0','0','0'),
(53,16,'1','0','0','0','0','0'),
(54,16,'1','0','0','0','0','0'),
(55,16,'1','0','0','0','0','0'),
(56,16,'1','0','0','0','0','0'),
(62,16,'1','0','0','0','0','0'),
(22,16,'1','0','0','0','0','0'),
(40,16,'1','0','0','0','0','0'),
(46,16,'1','0','0','0','0','0'),
(58,16,'1','0','0','0','0','0'),
(64,16,'1','1','1','1','0','0'),
(65,16,'1','1','1','1','0','0'),
(47,16,'1','1','1','1','0','0'),
(68,16,'1','1','1','1','0','0'),
(70,16,'1','1','1','1','0','0'),
(75,16,'1','1','1','1','0','0'),
(69,16,'1','1','1','1','0','0'),
(89,16,'1','1','1','1','0','0'),
(88,16,'1','1','1','1','0','0'),
(92,16,'1','0','0','0','0','0'),
(95,16,'1','0','0','0','0','0'),
(99,16,'1','1','1','1','0','0'),
(104,16,'1','1','1','1','1','0'),
(105,1,'1','1','1','1','1','0'),
(105,2,'1','1','1','1','1','0'),
(105,14,'1','1','1','1','1','0'),
(1,18,'1','1','1','1','1','0'),
(106,1,'1','1','1','1','1','0'),
(106,5,'1','1','1','1','1','0'),
(174,1,'1','1','1','1','1','0'),
(59,14,'1','1','1','1','1','0'),
(96,2,'1','1','1','1','1','0'),
(1,17,'1','1','1','1','1','0'),
(68,14,'1','1','1','1','1','0'),
(107,1,'1','1','1','1','1','0'),
(172,27,'1','1','1','1','1','0'),
(108,1,'1','1','1','1','1','0'),
(109,1,'1','1','1','1','1','0'),
(108,2,'1','1','1','1','1','0'),
(109,2,'1','1','1','1','1','0'),
(9,14,'1','1','1','1','1','0'),
(109,11,'1','1','1','1','1','0'),
(108,14,'1','1','1','1','1','0'),
(109,14,'1','1','1','1','1','0'),
(110,1,'1','1','1','1','1','0'),
(110,2,'1','1','1','1','1','0'),
(110,3,'1','1','1','1','1','0'),
(110,4,'1','1','1','1','1','0'),
(110,16,'1','1','1','1','1','0'),
(110,7,'1','1','1','1','1','0'),
(110,6,'1','1','1','1','1','0'),
(110,5,'1','1','1','1','1','0'),
(28,101,'1','1','1','1','1','0'),
(173,7,'1','1','1','1','1','0'),
(173,14,'1','1','1','1','1','0'),
(124,10,'1','1','1','1','1','0'),
(117,1,'1','1','1','1','1','0'),
(118,1,'1','1','1','1','1','0'),
(118,7,'1','1','1','1','1','0'),
(118,2,'1','1','1','1','1','0'),
(119,1,'1','1','1','1','1','0'),
(119,2,'1','1','1','1','1','0'),
(120,1,'1','1','1','1','1','0'),
(120,7,'1','1','1','1','1','0'),
(121,1,'1','1','1','1','1','0'),
(122,1,'1','1','1','1','1','0'),
(123,1,'1','1','1','1','1','0'),
(121,2,'1','1','1','1','1','0'),
(122,2,'1','1','1','1','1','0'),
(123,2,'1','1','1','1','1','0'),
(121,14,'1','1','1','1','1','0'),
(122,14,'1','1','1','1','1','0'),
(123,14,'1','1','1','1','1','0'),
(73,1,'1','1','1','1','1','0'),
(74,1,'1','1','1','1','1','0'),
(170,7,'1','1','1','1','1','0'),
(125,1,'1','1','1','1','1','0'),
(131,2,'1','1','1','1','1','0'),
(126,1,'1','1','1','1','1','0'),
(63,14,'1','0','0','0','1','0'),
(124,2,'1','1','1','1','1','0'),
(126,2,'1','1','1','1','1','0'),
(127,1,'1','1','1','1','1','0'),
(128,1,'1','1','1','1','1','0'),
(172,7,'1','1','1','1','1','0'),
(170,1,'1','1','1','1','1','0'),
(170,2,'1','1','1','1','1','0'),
(129,103,'1','1','1','1','1','0'),
(126,10,'1','1','1','1','1','0'),
(131,6,'1','1','1','1','1','0'),
(131,7,'1','1','1','1','1','0'),
(126,7,'1','1','1','1','1','0'),
(114,7,'1','1','1','1','1','0'),
(124,7,'1','1','1','1','1','0'),
(132,1,'1','1','1','1','1','0'),
(132,19,'1','1','1','1','1','0'),
(126,18,'1','1','1','1','1','0'),
(124,18,'1','1','1','1','1','0'),
(173,1,'1','1','1','1','1','0'),
(170,14,'1','1','1','1','1','0'),
(68,18,'1','1','1','1','1','0'),
(68,5,'1','1','1','1','1','0'),
(59,21,'1','1','1','1','1','0'),
(124,21,'1','1','1','1','1','0'),
(53,20,'1','1','1','1','0','0'),
(55,20,'1','1','1','1','0','0'),
(54,20,'1','1','1','1','0','0'),
(1,20,'1','1','1','1','0','0'),
(56,20,'1','1','1','1','0','0'),
(68,20,'1','1','1','1','0','0'),
(4,20,'1','0','0','0','0','0'),
(43,20,'1','1','1','1','0','0'),
(32,20,'1','1','1','1','0','0'),
(22,20,'1','1','1','1','0','0'),
(5,20,'1','1','1','1','0','0'),
(97,20,'1','1','1','1','0','0'),
(98,20,'1','1','1','1','0','0'),
(80,20,'1','1','1','1','0','0'),
(124,20,'1','1','1','1','0','0'),
(126,20,'1','1','1','1','0','0'),
(133,1,'1','1','1','1','1','0'),
(132,20,'1','1','1','1','1','0'),
(133,2,'1','1','1','1','1','0'),
(133,14,'1','1','1','1','1','0'),
(133,7,'1','1','1','1','1','0'),
(8,21,'1','1','1','1','1','0'),
(61,21,'1','1','1','1','1','0'),
(97,24,'1','1','1','1','0','0'),
(126,24,'1','1','1','1','0','0'),
(124,24,'1','1','1','1','0','0'),
(80,24,'1','1','1','1','0','0'),
(22,21,'1','1','1','1','1','0'),
(68,21,'1','1','1','1','1','0'),
(126,21,'1','1','1','1','1','0'),
(110,21,'1','1','1','1','1','0'),
(95,21,'1','1','1','1','1','0'),
(132,21,'1','1','1','1','1','0'),
(131,21,'1','1','1','1','1','0'),
(114,21,'1','1','1','1','1','0'),
(46,21,'1','1','1','1','1','0'),
(70,21,'1','1','1','1','1','0'),
(65,21,'1','1','1','1','1','0'),
(64,21,'1','1','1','1','1','0'),
(99,21,'1','1','1','1','1','0'),
(39,21,'1','1','1','1','1','0'),
(25,21,'1','1','1','1','1','0'),
(47,21,'1','1','1','1','1','0'),
(98,24,'1','1','1','1','0','0'),
(106,21,'1','1','1','1','1','0'),
(9,21,'1','1','1','1','1','0'),
(6,21,'1','1','1','1','1','0'),
(63,21,'1','1','1','1','1','0'),
(13,21,'1','1','1','1','1','0'),
(60,21,'1','1','1','1','1','0'),
(49,21,'1','1','1','1','1','0'),
(43,24,'1','1','1','1','0','0'),
(5,24,'1','1','1','1','0','0'),
(22,24,'1','1','1','1','0','0'),
(32,24,'1','1','1','1','0','0'),
(134,1,'1','1','1','1','1','0'),
(135,1,'1','1','1','1','1','0'),
(136,1,'1','1','1','1','1','0'),
(137,1,'1','1','1','1','1','0'),
(138,1,'1','1','1','1','1','0'),
(134,7,'1','1','1','1','1','0'),
(135,7,'1','1','1','1','1','0'),
(136,7,'1','1','1','1','1','0'),
(137,7,'1','1','1','1','1','0'),
(32,23,'1','0','0','0','1','0'),
(110,10,'1','1','1','1','1','0'),
(132,22,'1','1','1','1','0','0'),
(1,22,'1','0','0','0','0','0'),
(28,22,'1','0','0','0','0','0'),
(38,22,'1','0','0','0','0','0'),
(43,22,'1','0','0','0','0','0'),
(18,22,'1','1','1','0','0','0'),
(27,22,'1','0','0','0','0','0'),
(29,22,'1','0','0','0','0','0'),
(49,22,'1','0','0','0','0','0'),
(50,22,'1','0','0','0','0','0'),
(57,22,'1','0','0','0','0','0'),
(61,22,'1','0','0','0','0','0'),
(13,22,'1','0','0','0','0','0'),
(59,22,'1','0','0','0','0','0'),
(60,22,'1','0','0','0','0','0'),
(21,22,'1','0','0','0','0','0'),
(23,22,'1','0','0','0','0','0'),
(37,22,'1','0','0','0','0','0'),
(45,22,'1','0','0','0','0','0'),
(51,22,'1','0','0','0','0','0'),
(4,22,'1','0','0','0','0','0'),
(5,22,'1','0','0','0','0','0'),
(16,22,'1','0','0','0','0','0'),
(32,22,'1','0','0','0','0','0'),
(53,22,'1','0','0','0','0','0'),
(54,22,'1','0','0','0','0','0'),
(55,22,'1','0','0','0','0','0'),
(56,22,'1','0','0','0','0','0'),
(22,22,'1','0','0','0','0','0'),
(46,22,'1','0','0','0','0','0'),
(64,22,'1','1','1','1','0','0'),
(65,22,'1','1','1','1','0','0'),
(47,22,'1','1','1','1','0','0'),
(68,22,'1','1','1','1','0','0'),
(70,22,'1','1','1','1','0','0'),
(75,22,'1','1','1','1','0','0'),
(89,22,'1','1','1','1','0','0'),
(88,22,'1','1','1','1','0','0'),
(95,22,'1','0','0','0','0','0'),
(110,22,'1','1','1','1','0','0'),
(111,22,'1','0','0','0','0','0'),
(113,22,'1','0','0','0','0','0'),
(131,22,'1','1','1','1','0','0'),
(1,24,'1','1','1','1','0','0'),
(54,24,'1','1','1','1','0','0'),
(55,24,'1','1','1','1','0','0'),
(53,24,'1','1','1','1','0','0'),
(139,1,'1','1','1','1','1','0'),
(139,7,'1','1','1','1','1','0'),
(127,21,'1','0','0','0','1','0'),
(128,21,'1','0','0','0','1','0'),
(2,21,'1','1','1','1','1','0'),
(3,21,'1','1','1','1','1','0'),
(17,21,'1','1','1','1','1','0'),
(18,21,'1','1','1','1','1','0'),
(26,21,'1','1','1','1','1','0'),
(72,21,'1','1','1','1','1','0'),
(27,21,'1','1','1','1','1','0'),
(29,21,'1','1','1','1','1','0'),
(50,21,'1','1','1','1','1','0'),
(82,21,'1','1','1','1','1','0'),
(104,21,'1','1','1','1','1','0'),
(7,21,'1','1','1','1','1','0'),
(4,21,'1','1','1','1','1','0'),
(97,21,'1','1','1','1','1','0'),
(5,21,'1','1','1','1','1','0'),
(10,21,'1','1','1','1','1','0'),
(15,21,'1','1','1','1','1','0'),
(16,21,'1','1','1','1','1','0'),
(14,21,'1','1','1','1','1','0'),
(98,21,'1','1','1','1','1','0'),
(32,21,'1','1','1','1','1','0'),
(53,21,'1','1','1','1','1','0'),
(54,21,'1','1','1','1','1','0'),
(55,21,'1','1','1','1','1','0'),
(109,21,'1','1','1','1','1','0'),
(56,21,'1','1','1','1','1','0'),
(62,21,'1','1','1','1','1','0'),
(80,21,'1','1','1','1','1','0'),
(123,21,'1','1','1','1','1','0'),
(40,21,'1','1','1','1','1','0'),
(58,21,'1','1','1','1','1','0'),
(41,21,'1','1','1','1','1','0'),
(48,21,'1','1','1','1','1','0'),
(69,21,'1','1','1','1','1','0'),
(73,21,'1','1','1','1','1','0'),
(74,21,'1','1','1','1','1','0'),
(86,21,'1','1','1','1','1','0'),
(81,21,'1','1','1','1','1','0'),
(90,21,'1','1','1','1','1','0'),
(139,21,'1','1','1','1','1','0'),
(93,21,'1','1','1','1','1','0'),
(100,21,'1','1','1','1','1','0'),
(134,21,'1','1','1','1','1','0'),
(135,21,'1','1','1','1','1','0'),
(136,21,'1','1','1','1','1','0'),
(137,21,'1','1','1','1','1','0'),
(138,21,'1','1','1','1','1','0'),
(83,21,'1','1','1','1','1','0'),
(84,21,'1','1','1','1','1','0'),
(85,21,'1','1','1','1','1','0'),
(121,21,'1','1','1','1','1','0'),
(122,21,'1','1','1','1','1','0'),
(4,24,'1','0','0','0','0','0'),
(68,24,'1','1','1','1','0','0'),
(56,24,'1','1','1','1','0','0'),
(132,24,'1','1','1','1','1','0'),
(131,24,'1','1','1','1','1','0'),
(110,24,'1','1','1','1','0','0'),
(43,101,'1','1','1','1','1','0'),
(28,21,'1','1','1','1','1','0'),
(108,21,'1','1','1','1','1','0'),
(36,21,'1','1','1','1','1','0'),
(38,21,'1','1','1','1','1','0'),
(115,21,'1','1','1','1','1','0'),
(21,21,'1','1','1','1','1','0'),
(23,21,'1','1','1','1','1','0'),
(45,21,'1','1','1','1','1','0'),
(51,21,'1','1','1','1','1','0'),
(24,21,'1','1','1','1','1','0'),
(16,23,'1','0','0','0','1','0'),
(160,14,'1','1','1','1','1','0'),
(160,11,'1','1','1','1','1','0'),
(39,7,'1','1','1','1','1','0'),
(95,24,'1','1','1','1','1','0'),
(160,1,'1','1','1','1','1','0'),
(152,1,'1','1','1','1','1','0'),
(141,14,'1','1','1','1','1','0'),
(89,101,'1','1','1','1','1','0'),
(142,101,'1','1','1','1','1','0'),
(174,27,'1','1','1','1','1','0'),
(142,7,'1','1','1','1','1','0'),
(140,27,'1','1','1','1','1','0'),
(176,2,'1','1','1','1','1','0'),
(140,103,'1','1','1','1','1','0'),
(89,103,'1','1','1','1','1','0'),
(141,103,'1','1','1','1','1','0'),
(154,1,'1','1','1','1','1','0'),
(43,103,'1','1','1','1','1','0'),
(25,23,'1','1','1','1','1','0'),
(39,23,'1','1','1','1','1','0'),
(114,23,'1','1','1','1','1','0'),
(99,23,'1','1','1','1','1','0'),
(132,23,'1','1','1','1','1','0'),
(131,23,'1','1','1','1','1','0'),
(68,23,'1','1','1','1','1','0'),
(18,27,'1','1','1','1','0','0'),
(50,27,'1','0','1','1','0','0'),
(32,27,'1','1','1','1','0','0'),
(16,27,'1','1','1','1','0','0'),
(28,27,'1','1','1','1','0','0'),
(75,27,'1','1','1','1','0','0'),
(43,27,'1','1','1','1','0','0'),
(38,27,'1','1','1','1','0','0'),
(57,27,'1','1','1','1','0','0'),
(1,27,'1','1','1','1','0','0'),
(21,27,'1','1','1','1','0','0'),
(51,27,'1','1','1','1','0','0'),
(45,27,'1','1','1','1','0','0'),
(24,27,'1','1','1','1','0','0'),
(85,27,'1','1','1','1','0','0'),
(84,27,'1','1','1','1','0','0'),
(83,27,'1','1','1','1','0','0'),
(23,27,'1','1','1','1','0','0'),
(46,27,'1','1','1','1','0','0'),
(22,27,'1','1','1','1','0','0'),
(175,1,'1','1','1','1','1','0'),
(70,27,'1','1','1','1','0','0'),
(26,27,'1','1','1','1','0','0'),
(13,27,'1','1','1','1','0','0'),
(6,27,'1','1','1','1','0','0'),
(103,27,'1','1','1','1','0','0'),
(105,27,'1','1','1','1','0','0'),
(174,2,'1','1','1','1','1','0'),
(59,27,'1','1','1','1','0','0'),
(68,27,'1','1','1','1','0','0'),
(9,27,'1','1','1','1','0','0'),
(108,27,'1','1','1','1','0','0'),
(109,27,'1','1','1','1','0','0'),
(121,27,'1','1','1','1','0','0'),
(122,27,'1','1','1','1','0','0'),
(123,27,'1','1','1','1','0','0'),
(63,27,'1','0','0','0','0','0'),
(172,6,'1','1','1','1','1','0'),
(133,27,'1','1','1','1','0','0'),
(141,27,'1','1','1','1','1','0'),
(160,27,'1','1','1','1','1','0'),
(27,27,'1','1','1','1','1','0'),
(141,1,'1','1','1','1','1','0'),
(140,1,'1','1','1','1','1','0'),
(156,1,'1','1','1','1','1','0'),
(129,102,'1','1','1','1','1','0'),
(153,1,'1','1','1','1','1','0'),
(141,2,'1','1','1','1','1','0'),
(24,102,'1','1','1','1','1','0'),
(140,7,'1','1','1','1','1','0'),
(140,2,'1','1','1','1','1','0'),
(140,6,'1','1','1','1','1','0'),
(140,14,'1','1','1','1','1','0'),
(140,102,'1','1','1','1','1','0'),
(141,101,'1','1','1','1','1','0'),
(141,7,'1','1','1','1','1','0'),
(45,102,'1','1','1','1','1','0'),
(141,6,'1','1','1','1','1','0'),
(173,6,'1','1','1','1','1','0'),
(142,6,'1','1','1','1','1','0'),
(51,103,'1','1','1','1','1','0'),
(142,1,'1','1','1','1','1','0'),
(142,2,'1','1','1','1','1','0'),
(155,1,'1','1','1','1','1','0'),
(144,1,'1','1','1','1','1','0'),
(145,1,'1','1','1','1','1','0'),
(143,1,'1','1','1','1','1','0'),
(143,2,'1','1','1','1','1','0'),
(143,101,'1','1','1','1','1','0'),
(143,103,'1','1','1','1','1','0'),
(143,102,'1','1','1','1','1','0'),
(143,7,'1','1','1','1','1','0'),
(143,6,'1','1','1','1','1','0'),
(143,27,'1','1','1','1','1','0'),
(143,14,'1','1','1','1','1','0'),
(144,20,'1','1','1','1','1','0'),
(145,20,'1','1','1','1','1','0'),
(143,20,'1','1','1','1','1','0'),
(143,12,'1','1','1','1','1','0'),
(144,10,'1','1','1','1','1','0'),
(145,10,'1','1','1','1','1','0'),
(143,10,'1','1','1','1','1','0'),
(143,24,'1','1','1','1','1','0'),
(147,1,'1','1','1','1','1','0'),
(146,1,'1','1','1','1','1','0'),
(154,25,'1','1','1','1','1','0'),
(150,1,'1','1','1','1','1','0'),
(156,25,'1','1','1','1','1','0'),
(148,1,'1','1','1','1','1','0'),
(155,25,'1','1','1','1','1','0'),
(151,1,'1','1','1','1','1','0'),
(153,25,'1','1','1','1','1','0'),
(149,1,'1','1','1','1','1','0'),
(152,25,'1','1','1','1','1','0'),
(146,25,'1','1','1','1','1','0'),
(147,25,'1','1','1','1','1','0'),
(151,25,'1','1','1','1','1','0'),
(148,25,'1','1','1','1','1','0'),
(143,25,'1','1','1','1','1','0'),
(149,25,'1','1','1','1','1','0'),
(150,25,'1','1','1','1','1','0'),
(145,25,'1','1','1','1','1','0'),
(144,25,'1','1','1','1','1','0'),
(165,27,'1','1','1','1','1','0'),
(175,14,'1','1','1','1','1','0'),
(128,5,'1','1','1','1','1','0'),
(149,101,'1','1','1','1','1','0'),
(37,1,'1','1','1','1','1','0'),
(158,25,'1','1','1','1','1','0'),
(159,25,'1','1','1','1','1','0'),
(158,1,'1','1','1','1','1','0'),
(159,1,'1','1','1','1','1','0'),
(147,20,'1','1','1','1','1','0'),
(146,20,'1','1','1','1','1','0'),
(152,20,'1','1','1','1','1','0'),
(155,20,'1','1','1','1','1','0'),
(150,20,'1','1','1','1','1','0'),
(159,20,'1','1','1','1','1','0'),
(153,20,'1','1','1','1','1','0'),
(148,20,'1','1','1','1','1','0'),
(156,20,'1','1','1','1','1','0'),
(151,20,'1','1','1','1','1','0'),
(154,20,'1','1','1','1','1','0'),
(149,20,'1','1','1','1','1','0'),
(158,20,'1','1','1','1','1','0'),
(51,102,'1','1','1','1','1','0'),
(40,25,'1','1','1','1','1','0'),
(39,25,'1','1','1','1','1','0'),
(99,103,'1','1','1','1','1','0'),
(128,26,'1','0','0','0','1','0'),
(127,26,'1','0','0','0','1','0'),
(127,5,'1','1','1','1','1','0'),
(150,101,'1','1','1','1','1','0'),
(148,101,'1','1','1','1','1','0'),
(158,101,'1','1','1','1','1','0'),
(159,101,'1','1','1','1','1','0'),
(154,101,'1','1','1','1','1','0'),
(152,101,'1','1','1','1','1','0'),
(153,101,'1','1','1','1','1','0'),
(146,101,'1','1','1','1','1','0'),
(154,103,'1','1','1','1','1','0'),
(149,103,'1','1','1','1','1','0'),
(158,103,'1','1','1','1','1','0'),
(152,103,'1','1','1','1','1','0'),
(150,103,'1','1','1','1','1','0'),
(159,103,'1','1','1','1','1','0'),
(153,103,'1','1','1','1','1','0'),
(148,103,'1','1','1','1','1','0'),
(146,103,'1','1','1','1','1','0'),
(146,102,'1','1','1','1','1','0'),
(152,102,'1','1','1','1','1','0'),
(150,102,'1','1','1','1','1','0'),
(159,102,'1','1','1','1','1','0'),
(153,102,'1','1','1','1','1','0'),
(148,102,'1','1','1','1','1','0'),
(154,102,'1','1','1','1','1','0'),
(149,102,'1','1','1','1','1','0'),
(158,102,'1','1','1','1','1','0'),
(146,7,'1','1','1','1','1','0'),
(152,7,'1','1','1','1','1','0'),
(150,7,'1','1','1','1','1','0'),
(159,7,'1','1','1','1','1','0'),
(153,7,'1','1','1','1','1','0'),
(148,7,'1','1','1','1','1','0'),
(154,7,'1','1','1','1','1','0'),
(149,7,'1','1','1','1','1','0'),
(158,7,'1','1','1','1','1','0'),
(146,6,'1','1','1','1','1','0'),
(154,6,'1','1','1','1','1','0'),
(149,6,'1','1','1','1','1','0'),
(158,6,'1','1','1','1','1','0'),
(152,6,'1','1','1','1','1','0'),
(150,6,'1','1','1','1','1','0'),
(159,6,'1','1','1','1','1','0'),
(153,6,'1','1','1','1','1','0'),
(148,6,'1','1','1','1','1','0'),
(145,24,'1','1','1','1','1','0'),
(146,24,'1','1','1','1','1','0'),
(144,24,'1','1','1','1','1','0'),
(147,24,'1','1','1','1','1','0'),
(153,24,'1','1','1','1','1','0'),
(148,24,'1','1','1','1','1','0'),
(156,24,'1','1','1','1','1','0'),
(151,24,'1','1','1','1','1','0'),
(154,24,'1','1','1','1','1','0'),
(149,24,'1','1','1','1','1','0'),
(158,24,'1','1','1','1','1','0'),
(152,24,'1','1','1','1','1','0'),
(155,24,'1','1','1','1','1','0'),
(150,24,'1','1','1','1','1','0'),
(159,24,'1','1','1','1','1','0'),
(146,14,'1','1','1','1','1','0'),
(148,14,'1','1','1','1','1','0'),
(154,14,'1','1','1','1','1','0'),
(149,14,'1','1','1','1','1','0'),
(158,14,'1','1','1','1','1','0'),
(152,14,'1','1','1','1','1','0'),
(150,14,'1','1','1','1','1','0'),
(159,14,'1','1','1','1','1','0'),
(153,14,'1','1','1','1','1','0'),
(146,2,'1','1','1','1','1','0'),
(154,2,'1','1','1','1','1','0'),
(149,2,'1','1','1','1','1','0'),
(158,2,'1','1','1','1','1','0'),
(152,2,'1','1','1','1','1','0'),
(150,2,'1','1','1','1','1','0'),
(159,2,'1','1','1','1','1','0'),
(153,2,'1','1','1','1','1','0'),
(148,2,'1','1','1','1','1','0'),
(157,1,'1','1','1','1','1','0'),
(157,2,'1','1','1','1','1','0'),
(157,27,'1','1','1','1','1','0'),
(157,14,'1','1','1','1','1','0'),
(72,26,'1','1','1','1','1','0'),
(99,26,'1','1','1','1','1','0'),
(28,26,'1','1','1','1','1','0'),
(39,26,'1','1','1','1','1','0'),
(141,26,'1','1','1','1','1','0'),
(25,26,'1','1','1','1','1','0'),
(114,26,'1','1','1','1','1','0'),
(1,26,'1','1','1','1','1','0'),
(31,26,'1','1','1','1','1','0'),
(40,26,'1','1','1','1','1','0'),
(131,26,'1','1','1','1','1','0'),
(132,26,'1','1','1','1','1','0'),
(95,26,'1','1','1','1','1','0'),
(110,26,'1','1','1','1','1','0'),
(126,26,'1','1','1','1','1','0'),
(68,26,'1','1','1','1','1','0'),
(124,26,'1','1','1','1','1','0'),
(140,26,'1','1','1','1','1','0'),
(126,5,'1','1','1','1','1','0'),
(124,5,'1','1','1','1','1','0'),
(9,28,'1','0','0','0','1','0'),
(157,28,'1','1','0','0','1','0'),
(22,28,'1','0','0','0','1','0'),
(172,28,'1','1','1','1','1','0'),
(160,2,'1','1','1','1','1','0'),
(141,5,'1','1','1','1','1','0'),
(140,5,'1','1','1','1','1','0'),
(43,26,'1','1','1','1','1','0'),
(165,1,'1','1','1','1','1','0'),
(170,28,'1','1','1','1','1','0'),
(165,2,'1','1','1','1','1','0'),
(38,26,'1','1','1','1','1','0'),
(163,1,'1','1','1','1','1','0'),
(161,1,'1','1','1','1','1','0'),
(162,1,'1','1','1','1','1','0'),
(163,2,'1','1','1','1','1','0'),
(161,2,'1','1','1','1','1','0'),
(162,2,'1','1','1','1','1','0'),
(14,14,'1','1','1','1','1','0'),
(14,27,'1','1','1','1','1','0'),
(164,1,'1','1','1','1','1','0'),
(164,2,'1','1','1','1','1','0'),
(174,28,'1','1','1','1','1','0'),
(84,28,'1','1','1','1','1','0'),
(83,28,'1','1','1','1','1','0'),
(63,28,'1','1','1','1','1','0'),
(13,28,'1','1','1','1','1','0'),
(161,14,'1','1','1','1','1','0'),
(164,14,'1','1','1','1','1','0'),
(102,7,'1','1','1','1','1','0'),
(85,7,'1','1','1','1','1','0'),
(170,27,'1','1','1','1','1','0'),
(102,6,'1','1','1','1','1','0'),
(172,14,'1','1','1','1','1','0'),
(175,27,'1','1','1','1','1','0'),
(60,14,'1','0','0','0','1','0'),
(60,27,'1','0','0','0','1','0'),
(17,7,'1','1','1','1','1','0'),
(176,14,'1','1','1','1','1','0'),
(176,27,'1','1','1','1','1','0'),
(176,1,'1','1','1','1','1','0'),
(177,1,'1','1','1','1','1','0'),
(177,2,'1','1','1','1','1','0'),
(177,14,'1','1','1','1','1','0'),
(177,27,'1','1','1','1','1','0'),
(114,103,'1','1','1','1','1','0'),
(39,103,'1','1','1','1','1','0'),
(99,6,'1','1','1','1','1','0'),
(114,6,'1','1','1','1','1','0'),
(99,101,'1','1','1','1','1','0'),
(114,101,'1','1','1','1','1','0'),
(39,101,'1','1','1','1','1','0'),
(25,25,'1','1','1','1','1','0'),
(25,7,'1','1','1','1','1','0'),
(25,103,'1','1','1','1','1','0'),
(183,1,'1','1','1','1','1','0'),
(99,27,'1','1','1','1','1','0'),
(114,27,'1','1','1','1','1','0'),
(39,27,'1','1','1','1','1','0'),
(25,11,'1','1','1','1','1','0'),
(39,11,'1','1','1','1','1','0'),
(114,11,'1','1','1','1','1','0'),
(99,11,'1','1','1','1','1','0'),
(25,27,'1','1','1','1','1','0'),
(179,25,'1','1','1','1','1','0'),
(164,25,'1','1','1','1','1','0'),
(16,20,'1','0','0','0','1','0'),
(23,102,'1','1','1','1','1','0'),
(21,102,'1','1','1','1','1','0'),
(171,102,'1','1','1','1','1','0'),
(32,25,'1','1','1','0','1','0'),
(172,26,'1','0','0','0','1','0'),
(32,26,'1','0','0','0','1','0'),
(39,6,'1','1','1','1','1','0'),
(99,14,'1','1','1','1','1','0'),
(114,14,'1','1','1','1','1','0'),
(39,14,'1','1','1','1','1','0'),
(25,14,'1','1','1','1','1','0'),
(25,102,'1','1','1','1','1','0'),
(83,5,'1','1','1','1','1','0'),
(84,5,'1','1','1','1','1','0'),
(85,5,'1','1','1','1','1','0'),
(25,6,'1','1','1','1','1','0'),
(123,25,'1','1','1','0','1','0'),
(4,25,'1','1','1','0','1','0'),
(126,25,'1','1','1','1','1','0'),
(124,25,'1','1','1','1','1','0'),
(68,25,'1','1','1','1','1','0'),
(174,25,'1','1','1','1','1','0'),
(22,25,'1','1','1','1','1','0'),
(141,25,'1','1','1','1','1','0'),
(140,25,'1','1','1','1','1','0'),
(177,5,'1','0','0','0','1','0'),
(176,5,'1','0','0','0','1','0'),
(178,1,'1','1','1','1','1','0'),
(178,24,'1','1','1','1','1','0'),
(178,7,'1','1','1','1','1','0'),
(165,5,'1','0','0','0','1','0'),
(178,25,'1','1','1','1','1','0'),
(46,25,'1','1','1','1','1','0'),
(47,25,'1','1','1','1','1','0'),
(70,25,'1','1','1','1','1','0'),
(110,25,'1','1','1','1','1','0'),
(131,25,'1','1','1','1','1','0'),
(95,25,'1','1','1','1','1','0'),
(132,25,'1','1','1','1','1','0'),
(179,1,'1','1','1','1','1','0'),
(39,102,'1','1','1','1','1','0'),
(114,102,'1','1','1','1','1','0'),
(99,102,'1','1','1','1','1','0'),
(25,101,'1','1','1','1','1','0'),
(180,1,'1','1','1','1','1','0'),
(181,1,'1','1','1','1','1','0'),
(182,1,'1','1','1','1','1','0'),
(184,25,'1','1','1','1','1','0'),
(184,1,'1','1','1','1','1','0');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
